FENCE_AGENT(8)

NAME
fence_drac - Power Fencing agent for Dell DRAC IV

DESCRIPTION

fence_drac is a Power Fencing agent which can be used with the Dell Remote Access Card (DRAC). This card provides remote access to controlling power to a server. It logs into the DRAC through the telnet interface of the card. By default, the telnet interface is not enabled. To enable the interface, you will need to use the racadm command in the racser-devel rpm available from Dell. To enable telnet on the DRAC: [root]# racadm config -g cfgSerial -o cfgSerialTelnetEnable 1 [root]# racadm racreset

The fence agent accepts options on the command line as well as from stdin. Fenced sends parameters through stdin when it execs the agent. The agent can be run by itself with command line options. This is useful for testing and for turning outlets on or off from scripts.

Vendor URL: http://www.dell.com

PARAMETERS

-o, --action=[action]
    Fencing action (Default Value: reboot)

-c, --command-prompt=[prompt]
    Force Python regex for command prompt (Default Value: ['\\[username\\]# '])

-a, --ip=[ip]
    IP address or hostname of fencing device

-u, --ipport=[port]
    TCP/UDP port to use for connection with device (Default Value: 23)

-p, --password=[password]
    Login password or passphrase

-S, --password-script=[script]
    Script to run to retrieve password

-n, --plug=[ip]
    IP address or hostname of fencing device (together with --port-as-ip)

-l, --username=[name]
    Login name This parameter is always required.

-q, --quiet
    Disable logging to stderr. Does not affect --verbose or --debug-file or logging to syslog.

-v, --verbose
    Verbose mode. Multiple -v flags can be stacked on the command line (e.g., -vvv) to increase verbosity.

--verbose-level
    Level of debugging detail in output. Defaults to the number of --verbose flags specified on the command line, or to 1 if verbose=1 in a stonith device configuration (i.e., on stdin).

-D, --debug-file=[debugfile]
    Write debug information to given file

-V, --version
    Display version information and exit

-h, --help
    Display help and exit

--plug-separator=[char]
    Separator for plug parameter when specifying more than 1 plug (Default Value: ,)

--delay=[seconds]
    Wait X seconds before fencing is started (Default Value: 0)

--disable-timeout=[true/false]
    Disable timeout (true/false) (default: true when run from Pacemaker 2.0+)

--login-timeout=[seconds]
    Wait X seconds for cmd prompt after login (Default Value: 5)

--port-as-ip
    Make "port/plug" to be an alias to IP address

--power-timeout=[seconds]
    Test X seconds for status change after ON/OFF (Default Value: 20)

--power-wait=[seconds]
    Wait X seconds after issuing ON/OFF (Default Value: 0)

--shell-timeout=[seconds]
    Wait X seconds for cmd prompt after issuing command (Default Value: 3)

--stonith-status-sleep=[seconds]
    Sleep X seconds between status calls during a STONITH action (Default Value: 1)

--retry-on=[attempts]
    Count of attempts to retry power on (Default Value: 1)

--telnet-path=[path]
    Path to telnet binary (Default Value: /usr/bin/telnet)

ACTIONS

on  Power on machine.

off Power off machine.

reboot
    Reboot machine.

status
    This returns the status of the plug/virtual machine.

monitor
    Check the health of fence device

metadata
    Display the XML metadata describing this resource.

manpage
     The operational behavior of this is not known.

validate-all
    Validate if all required parameters are entered.

STDIN PARAMETERS

action
    Fencing action (Default Value: reboot)

command_prompt
    Force Python regex for command prompt (Default Value: ['\\[username\\]# ']) Obsoletes: cmd_prompt

ip  IP address or hostname of fencing device Obsoletes: ipaddr

ipport
    TCP/UDP port to use for connection with device (Default Value: 23)

password
    Login password or passphrase Obsoletes: passwd

password_script
    Script to run to retrieve password Obsoletes: passwd_script

plug
    IP address or hostname of fencing device (together with --port-as-ip) Obsoletes: port

username
    Login name This parameter is always required. Obsoletes: login

quiet
    Disable logging to stderr. Does not affect --verbose or --debug-file or logging to syslog.

verbose
    Verbose mode. Multiple -v flags can be stacked on the command line (e.g., -vvv) to increase verbosity.

verbose_level
    Level of debugging detail in output. Defaults to the number of --verbose flags specified on the command line, or to 1 if verbose=1 in a stonith device configuration (i.e., on stdin).

debug_file
    Write debug information to given file Obsoletes: debug

version
    Display version information and exit

help
    Display help and exit

plug_separator
    Separator for plug parameter when specifying more than 1 plug (Default Value: ,)

delay
    Wait X seconds before fencing is started (Default Value: 0)

disable_timeout
    Disable timeout (true/false) (default: true when run from Pacemaker 2.0+)

login_timeout
    Wait X seconds for cmd prompt after login (Default Value: 5)

port_as_ip
    Make "port/plug" to be an alias to IP address

power_timeout
    Test X seconds for status change after ON/OFF (Default Value: 20)

power_wait
    Wait X seconds after issuing ON/OFF (Default Value: 0)

shell_timeout
    Wait X seconds for cmd prompt after issuing command (Default Value: 3)

stonith_status_sleep
    Sleep X seconds between status calls during a STONITH action (Default Value: 1)

retry_on
    Count of attempts to retry power on (Default Value: 1)

telnet_path
    Path to telnet binary (Default Value: /usr/bin/telnet)